module LwqzxAuth
  class Engine < ::Rails::Engine
    isolate_namespace LwqzxAuth

    config.before_initialize do 
      ActiveSupport.on_load :action_controller do 
        include LwqzxAuth::ApplicationHelper
        include LwqzxAuth::ApplicationOnly
      end

      ActiveSupport.on_load :action_view do 
        include LwqzxAuth::ApplicationHelper
      end
    end

    initializer "lwqzx_auth.mount" do |app|
      app.routes.prepend do 
        mount LwqzxAuth::Engine => ENV["LWQZX_AUTH_MOUNT_PATH"]
      end
    end
  end
end
